Name:           initrd-recovery
Summary:        Tools for system recovery
Version:        0.3.0
Release:        0
Group:          System/Utilities
License:        Apache-2.0
ExclusiveArch:  %{arm}

Source0:        %{name}-%{version}.tar.gz
Source1001:     initrd-recovery.manifest

BuildRequires:  cmake

%description
This is a special booting mode and executes system recovery mode on user
selection like safe mode or phone initialization.

%package -n reboot-param-helper
Summary:        Reboot Param Helper Using Inform Partition
Group:          System/Utilities
License:        Apache-2.0
%description -n reboot-param-helper
A reboot helper to use reboot parameter by inform partition

%prep
%setup -q

%define initrd_recovery_libexec_dir %{_libexecdir}/initrd-recovery
%define initrd_recovery_install_dropin_dir %{_datadir}/initrd-recovery/initrd.list.d
%define minireboot_binary_name minireboot

%build
cp %{SOURCE1001} .

%cmake . \
		-DINITRD_RECOVERY_LIBEXEC_DIR=%{initrd_recovery_libexec_dir} \
		-DINITRD_RECOVERY_INSTALL_DROPIN_DIR=%{initrd_recovery_install_dropin_dir} \
		-DINITRD_RECOVERY_SRC_DIR=src/initrd-recovery \
		-DMINIREBOOT_SRC_DIR=src/minireboot

make %{?_smp_mflags}

%install
%make_install

# reboot-param-helper
%define inform_path /mnt/inform
mkdir -p %{buildroot}%{inform_path}
mkdir -p %{buildroot}%{_unitdir}/local-fs.target.wants
install -m 644 units/mnt-inform.mount %{buildroot}%{_unitdir}
ln -s ../mnt-inform.mount %{buildroot}%{_unitdir}/local-fs.target.wants

%posttrans
%{initrd_recovery_libexec_dir}/mkinitrd-recovery.sh

%files
%defattr(-,root,root,-)
%manifest initrd-recovery.manifest
%license LICENSE
%{initrd_recovery_install_dropin_dir}/00-initrd-recovery.list
%attr(0775,root,root)%{initrd_recovery_libexec_dir}/init
%attr(0775,root,root)%{initrd_recovery_libexec_dir}/mkinitrd-recovery.sh
%attr(0775,root,root)%{initrd_recovery_libexec_dir}/minireboot

%files -n reboot-param-helper
%{_unitdir}/mnt-inform.mount
%{_unitdir}/local-fs.target.wants/mnt-inform.mount
%{inform_path}
